#ifndef BACKUPAPPFINDER_H
#define BACKUPAPPFINDER_H

#include <QDialog>

class BackupAppFinder : public QDialog
{
    Q_OBJECT
public:
    BackupAppFinder(QWidget *parent);

    QString exename() const;

    QString exe_path() const;

    void exec(const QString& exename, const QString& envpath);

    void closeEvent(QCloseEvent *e);

public slots:

    void itemSelected();

    void accept();

private:
    QString m_exename, m_exe_path;

};

#endif // BACKUPAPPFINDER_H
